
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>BZOJ 4008: [HNOI2015]亚瑟王( dp ) / 憋错料</title>

    <meta name="description" content="BZOJ 4008: [HNOI2015]亚瑟王( dp ) dp(i, j)表示考虑了前i张牌, 然后还有j轮的概率. 考虑第i+1张牌: 发动的概率 : p = dp(i, j) * (1 - (1-p[i+1])^j) 没发动的概率 : dp(i, j) * (1 - p[i+1])^j 分别转移到状态: dp(i+1, j-1) dp(i+1, j) 同时假如i+1发动了对答案还有贡献p*d(i+1) 时间复杂度O(NTR) (好像有点不和谐..... ------------------------------------------------">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">BZOJ 4008: [HNOI2015]亚瑟王( dp )</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzcyMzg5Ni8yMDE2MDIvNzIzODk2LTIwMTYwMjE3MjEzMDQzNTUwLTIxMTEyMjg3NjkucG5n.jpg" /></p>
<p>dp(i, j)表示考虑了前i张牌, 然后还有j轮的概率.</p>
<p>考虑第i+1张牌:</p>
<p>发动的概率 : p = dp(i, j) * (1 - (1-p[i+1])^j)</p>
<p>没发动的概率 : dp(i, j) * (1 - p[i+1])^j</p>
<p>分别转移到状态:</p>
<p>dp(i+1, j-1)</p>
<p>dp(i+1, j)</p>
<p>同时假如i+1发动了对答案还有贡献p*d(i+1)</p>
<p>时间复杂度O(NTR) (好像有点不和谐.....</p>
<p>-------------------------------------------------------------------</p>
<p>#include&lt;cstdio&gt;</p>
<p>#include&lt;cstring&gt;</p>
<p>#include&lt;algorithm&gt;</p>

<p>using namespace std;</p>

<p>const int maxn = 230;</p>
<p>const int maxr = 140;</p>

<p>int N, T, R, d[maxn];</p>
<p>double p[maxn], ans[maxn], dp[maxn][maxr];</p>

<p>int main() {</p>
<p>scanf("%d", &amp;T);</p>
<p>while(T--) {</p>
<p>scanf("%d%d", &amp;N, &amp;R);</p>
<p>for(int i = 0; i &lt; N; i++)</p>
<p>scanf("%lf%d", p + i, d + i);</p>
<p>memset(ans, 0, sizeof ans);</p>
<p>memset(dp, 0, sizeof dp);</p>
<p>dp[0][R] = 1;</p>
<p>for(int i = 0; i &lt; N; i++) {</p>
<p>double t = 1;</p>
<p>for(int j = 1; j &lt;= R; j++) {</p>
<p>t *= 1 - p[i];</p>
<p>dp[i + 1][j - 1] += dp[i][j] * (1 - t);</p>
<p>dp[i + 1][j] += dp[i][j] * t;</p>
<p>ans[i] += dp[i][j] * (1 - t);</p>
<p>}</p>
<p>}</p>
<p>double res = 0;</p>
<p>for(int i = 0; i &lt; N; i++)</p>
<p>res += ans[i] * d[i];</p>
<p>printf("%.10lf\n", res);</p>
<p>}</p>
<p>return 0;</p>
<p>}</p>
<p>-------------------------------------------------------------------</p>
<h2>4008: [HNOI2015]亚瑟王</h2>
<p>Time Limit:&nbsp;20 Sec&nbsp;&nbsp;Memory Limit:&nbsp;512 MBSec&nbsp;&nbsp;Special Judge<br />Submit:&nbsp;558&nbsp;&nbsp;Solved:&nbsp;341<br />[<a href="http://www.lydsy.com/JudgeOnline/submitpage.php?id=4008" rel="external nofollow noreferrer">Submit</a>][<a href="http://www.lydsy.com/JudgeOnline/problemstatus.php?id=4008" rel="external nofollow noreferrer">Status</a>][<a href="http://www.lydsy.com/JudgeOnline/bbs.php?id=4008" rel="external nofollow noreferrer">Discuss</a>]</p>
<h2>Description</h2>

<p>小 K 不慎被 LL 邪教洗脑了，洗脑程度深到他甚至想要从亚瑟王邪教中脱坑。</p>
<p>他决定，在脱坑之前，最后再来打一盘亚瑟王。既然是最后一战，就一定要打得漂</p>
<p>亮。众所周知，亚瑟王是一个看脸的游戏，技能的发动都是看概率的。作为一个非</p>
<p>洲人，同时作为一个前 OIer，小 K 自然是希望最大化造成伤害的期望值。但他已</p>
<p>经多年没写过代码，连 Spaly都敲不对了，因此，希望你能帮帮小 K，让他感受一</p>
<p>下当欧洲人是怎样的体验。</p>
<p>本题中我们将考虑游戏的一个简化版模型。</p>
<p>玩家有一套卡牌，共 n张。游戏时，玩家将 n 张卡牌排列成某种顺序，排列后</p>
<p>将卡牌按从前往后依次编号为 1 ~ &nbsp;n。本题中，顺序已经确定，即为输入的顺序。</p>
<p>每张卡牌都有一个技能。第 i 张卡牌的技能发动概率为 pi，如果成功发动，则会对</p>
<p>敌方造成di点伤害。也只有通过发动技能，卡牌才能对敌方造成伤害。基于现实因</p>
<p>素以及小K非洲血统的考虑，pi不会为 0，也不会为 1，即 0 &lt; pi &lt; 1。</p>
<p>一局游戏一共有 r 轮。在每一轮中，系统将从第一张卡牌开始，按照顺序依次</p>
<p>考虑每张卡牌。在一轮中，对于依次考虑的每一张卡牌：</p>
<p>1如果这张卡牌在这一局游戏中已经发动过技能，则</p>
<p>1.1 如果这张卡牌不是最后一张，则跳过之（考虑下一张卡牌）；</p>
<p>否则（是最后一张），结束这一轮游戏。</p>
<p>2否则（这张卡牌在这一局游戏中没有发动过技能），设这张卡牌为第 i 张</p>
<p>2.1将其以 pi的概率发动技能。</p>
<p>2.2如果技能发动，则对敌方造成 di点伤害，并结束这一轮。</p>
<p>2.3如果这张卡牌已经是最后一张（即 i 等于n），则结束这一轮；否则，</p>
<p>考虑下一张卡牌。</p>
<p>请帮助小 K 求出这一套卡牌在一局游戏中能造成的伤害的期望值。</p>
<h2>Input</h2>
<p>输入文件的第一行包含一个整数 T，代表测试数据组数。</p>
<p>接下来一共 T 组数据。</p>
<p>每组数据的第一行包含两个用空格分开的整数 n和r，分别代表卡牌的张数和</p>
<p>游戏的轮数。</p>
<p>接下来 n行，每行包含一个实数和一个整数，由空格隔开，描述一张卡牌。第</p>
<p>i 行的两个数为 pi和 di，分别代表第 i 张卡牌技能发动的概率（实数）和技能发动</p>
<p>造成的伤害（整数）。保证 pi最多包含 4位小数，且为一个合法的概率。</p>
<h2>Output</h2>
<p>对于每组数据，输出一行，包含一个实数，为这套卡牌在这一局游戏中造成的</p>
<p>伤害的期望值。对于每一行输出，只有当你的输出和标准答案的相对误差不超过</p>
<p>10^-8时&#8212;&#8212;即|a-o|/a&lt;=10-8时(其中a是标准答案，o是输出)，你的输出才会被判为正确。</p>
<p>建议输出10 位小数。</p>
<h2>Sample Input</h2>
<p>1 <br /> 3 2 <br /> 0.5000 2 <br /> 0.3000 3 <br /> 0.9000 1</p>
<h2>Sample Output</h2>
<p>3.2660250000</p>
<h2>HINT</h2>
<p>一共有 13 种可能的情况：</p>
<p>1. &nbsp;第一轮中，第 1张卡牌发动技能；第二轮中，第 2张卡牌发动技能；</p>
<p>概率为 0.15，伤害为5。</p>
<p>2. &nbsp;第一轮中，第 1张卡牌发动技能；第二轮中，第 3张卡牌发动技能；</p>
<p>概率为 0.315，伤害为3。</p>
<p>3. &nbsp;第一轮中，第 1张卡牌发动技能；第二轮不发动技能；</p>
<p>概率为 0.035，伤害为2。</p>
<p>4. &nbsp;第一轮中，第 2张卡牌发动技能；第二轮中，第 1张卡牌发动技能；</p>
<p>概率为 0.075，伤害为5。</p>
<p>5. &nbsp;第一轮中，第 2张卡牌发动技能；第二轮中，第 3张卡牌发动技能；</p>
<p>概率为 0.0675，伤害为4。</p>
<p>6. &nbsp;第一轮中，第 2张卡牌发动技能；第二轮不发动技能；</p>
<p>概率为 0.0075，伤害为3。</p>
<p>7. &nbsp;第一轮中，第 3张卡牌发动技能；第二轮中，第 1张卡牌发动技能；</p>
<p>概率为 0.1575，伤害为3。</p>
<p>8. &nbsp;第一轮中，第 3张卡牌发动技能；第二轮中，第 2张卡牌发动技能；</p>
<p>概率为 0.04725，伤害为4。</p>
<p>9. &nbsp;第一轮中，第 3张卡牌发动技能；第二轮不发动技能；</p>
<p>概率为 0.11025，伤害为1。</p>
<p>10. &nbsp;第一轮不发动技能；第二轮中，第 1张卡牌发动技能；</p>
<p>概率为 0.0175，伤害为2。</p>
<p>11. &nbsp;第一轮不发动技能；第二轮中，第 2张卡牌发动技能；</p>
<p>概率为 0.00525，伤害为3。</p>
<p>12. &nbsp;第一轮不发动技能；第二轮中，第 3张卡牌发动技能；</p>
<p>概率为 0.011025，伤害为1。</p>
<p>13. &nbsp;第一轮不发动技能；第二轮亦不发动技能；</p>
<p>概率为 0.001225，伤害为0。</p>
<p>造成伤害的期望值为概率与对应伤害乘积之和，为 3.266025。</p>
<p><p>对于所有测试数据， 1 &lt;= T &lt;= 444， 1 &lt;= n &lt;= 220， 0 &lt;= r &lt;= 132， 0 &lt; pi &lt; 1， 0 &lt;= di &lt;= 1000。</p>
<p>除非备注中有特殊说明，数据中 pi与di均为随机生成。</p>
<p>请注意可能存在的实数精度问题，并采取适当措施。</p>
<h2>Source</h2>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-20 20:01:12 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>BZOJ 4008: [HNOI2015]亚瑟王( dp )的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmD5PY4.html" rel="bookmark">BZOJ 4008&colon; &lbrack;HNOI2015&rsqb;亚瑟王 &lbrack;DP 概率&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				传送门 题意: $r$轮$n$张卡牌,每一轮依次考虑每张卡牌,$p_i$概率发动造成$d_i$伤害后结束本轮或者继续考虑下一张 每张卡牌发动过之后以后都会跳过 求$r$轮之后的期望伤害 看了一节课出题人的做法,并不知道该怎么写代码,感觉带着除法精度好玄学.... 发现网上的题解都是另一种做法 $f[i][j]$表示第$i$张牌被考虑了$j$次的概率 有两个转移: $1.\ $上一张牌考虑了$j$次都不发动 $2.\ $上一张牌考虑了$j+1$次,之前$k$次不发动,第$k$次发动了,$a*\su			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41mP8k4.html" rel="bookmark">bzoj 4008&colon; &lbrack;HNOI2015&rsqb;亚瑟王</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				4008: [HNOI2015]亚瑟王 2017-08-29 Description 小 K 不慎被 LL 邪教洗脑了,洗脑程度深到他甚至想要从亚瑟王邪教中脱坑. 他决定,在脱坑之前,最后再来打一盘亚瑟王.既然是最后一战,就一定要打得漂 亮.众所周知,亚瑟王是一个看脸的游戏,技能的发动都是看概率的.作为一个非 洲人,同时作为一个前 OIer,小 K 自然是希望最大化造成伤害的期望值.但他已 经多年没写过代码,连 Spaly都敲不对了,因此,希望你能帮帮小 K,让他感受一 下当欧洲人是怎样的体验.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pRwKx0.html" rel="bookmark">&lbrack;BZOJ 4008&rsqb;&lbrack;HNOI2015&rsqb;亚瑟王（期望Dp）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Description 小 K 不慎被 LL 邪教洗脑了,洗脑程度深到他甚至想要从亚瑟王邪教中脱坑. 他决定,在脱坑之前,最后再来打一盘亚瑟王.既然是最后一战,就一定要打得漂 亮.众所周知,亚瑟王是一个看脸的游戏,技能的发动都是看概率的.作为一个非 洲人,同时作为一个前 OIer,小 K 自然是希望最大化造成伤害的期望值.但他已 经多年没写过代码,连 Spaly都敲不对了,因此,希望你能帮帮小 K,让他感受一 下当欧洲人是怎样的体验. 本题中我们将考虑游戏的一个简化版模型. 玩家有一套卡牌,共			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0R9WzYM.html" rel="bookmark">●BZOJ 4008 &lbrack;HNOI2015&rsqb;亚瑟王</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题链: http://www.lydsy.com/JudgeOnline/problem.php?id=4008题解: 概率dp,神仙题 如果我们可以求出每种牌被取到的概率f,那么最后期望造成的伤害也就很好计算了. 定义dp[i][j]表示有j轮游戏在1-i中的某张牌处就结束的概率. 那么此时我们考虑dp[i][j]会怎样对f[i+1]造成贡献: 只剩下了R-j轮游戏进行到了第i+1张牌,怎么计算这种情况下第i+1张牌发动技能的概率g呢? (令p为其发动技能的概率,并给这R-j轮游戏重新依次编号			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmjA2K0.html" rel="bookmark">BZOJ 4008 HNOI2015 亚瑟王 期望DP</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目大意:n个人,r轮游戏,每次从左到右轮,第i个人有pi的概率被选中,选中的话本轮结束,产生di的贡献,否则接着轮 求期望贡献和 神思路-- 直接DP基本是死也搞不出来的 我们转化一下 我们把所有的机会一起轮 令fi,j表示第i个人得到j个机会的概率 然后就简单了嘛= = fi,j=fi?1,j?(1?pi?1)j+fi?1,j+1?(1?(1?pi?1)j+1) 然后答案就是∑ni=1∑rj=1fi,j?(1?(1?pi)j)?di #include &lt;cmath&gt; #include &l			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lG67EM.html" rel="bookmark">&lbrack;洛谷 P3239&rsqb; &lbrack;HNOI2015&rsqb;亚瑟王</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[HNOI2015]亚瑟王 题目描述 小 K 不慎被 LL 邪教洗脑了,洗脑程度深到他甚至想要从亚瑟王邪教中脱坑.他决定,在脱坑之前,最后再来打一盘亚瑟王.既然是最后一战,就一定要打得漂亮.众所周知,亚瑟王是一个看脸的游戏,技能的发动都是看概率的. 作为一个非洲人,同时作为一个前 OIer,小 K 自然是希望最大化造成伤害的期望值.但他已经多年没写过代码,连 Spaly都敲不对了,因此,希望你能帮帮小 K,让他感受一下当欧洲人是怎样的体验. 本题中我们将考虑游戏的一个简化版模型. 玩家有一套卡牌			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0e2VeJ3.html" rel="bookmark">LuoguP3239 &lbrack;HNOI2015&rsqb;亚瑟王</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目描述 小 K 不慎被 LL 邪教洗脑了,洗脑程度深到他甚至想要从亚瑟王邪教中脱坑.他决定,在脱坑之前,最后再来打一盘亚瑟王.既然是最后一战,就一定要打得漂亮.众所周知,亚瑟王是一个看脸的游戏,技能的发动都是看概率的. 作为一个非洲人,同时作为一个前 OIer,小 K 自然是希望最大化造成伤害的期望值.但他已经多年没写过代码,连 Spaly都敲不对了,因此,希望你能帮帮小 K,让他感受一下当欧洲人是怎样的体验. 本题中我们将考虑游戏的一个简化版模型. 玩家有一套卡牌,共 n张.游戏时,玩家将			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/74Qr2MR.html" rel="bookmark">&lbrack;HNOI2015&rsqb;亚瑟王</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目描述 小 K 不慎被 LL 邪教洗脑了,洗脑程度深到他甚至想要从亚瑟王邪教中脱坑.他决定,在脱坑之前,最后再来打一盘亚瑟王.既然是最后一战,就一定要打得漂亮.众所周知,亚瑟王是一个看脸的游戏,技能的发动都是看概率的. 作为一个非洲人,同时作为一个前 OIer,小 K 自然是希望最大化造成伤害的期望值.但他已经多年没写过代码,连 Spaly都敲不对了,因此,希望你能帮帮小 K,让他感受一下当欧洲人是怎样的体验. 本题中我们将考虑游戏的一个简化版模型. 玩家有一套卡牌,共 n张.游戏时,玩家将			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZDwq8M.html" rel="bookmark">bzoj4008&colon; &lbrack;HNOI2015&rsqb;亚瑟王</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Description 小 K 不慎被 LL 邪教洗脑了,洗脑程度深到他甚至想要从亚瑟王邪教中脱坑. 他决定,在脱坑之前,最后再来打一盘亚瑟王.既然是最后一战,就一定要打得漂 亮.众所周知,亚瑟王是一个看脸的游戏,技能的发动都是看概率的.作为一个非 洲人,同时作为一个前 OIer,小 K 自然是希望最大化造成伤害的期望值.但他已 经多年没写过代码,连 Spaly都敲不对了,因此,希望你能帮帮小 K,让他感受一 下当欧洲人是怎样的体验. 本题中我们将考虑游戏的一个简化版模型. 玩家有一套卡牌,共			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/w3vKJk4.html" rel="bookmark" class="title">javaScript随机数取值方法</a>
					<div>
						Math.random()方法返回0到1之间的一个随机数,不包括0和1 如若想取的一个范围的随机数可套用下面的公式: 一.X+开始数-1=结束数 二.Math.floor(Math.random()* ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/138Lzn3.html" rel="bookmark" class="title">自定义菜单查询接口</a>
					<div>
						使用接口创建自定义菜单后,开发者还可使用接口查询自定义菜单的结构.另外请注意,在设置了个性化菜单后,使用本自定义菜单查询接口可以获取默认菜单和全部个性化菜单信息. 请求说明 http请求方式:GET  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RBQaR0.html" rel="bookmark" class="title">数据结构-中序转后序</a>
					<div>
						#include&lt;iostream&gt;#include&lt;vector&gt;#include&lt;string&gt;#include&lt;cstdio&gt;#include&l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j5rOWM.html" rel="bookmark" class="title">SQL order by的用法</a>
					<div>
						首先,order by是用来写在where之后,给多个字段来排序的一个DQL查询语句. 其次,order by写法: 1.  select 字段列表/* from 表名 where 条件 order  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz1KkO4.html" rel="bookmark" class="title">查找素数</a>
					<div>
						位工具 void setbit(int pos, unsigned char * flags) { unsigned char on = 1 &lt;&lt; (pos % 8); flags[pos ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLPJEAM.html" rel="bookmark" class="title">肆晌幸释圪efpnwmbut55t79635d4q</a>
					<div>
						双倍月票期间,还请唐门的兄弟姐妹们大力支持.拜谢.在史莱克学院外找个安静的地方再容易不过,这里虽然四通八达有不少大道,但大道两旁却都种植着大量的植被.有些是自然生长的,有些是人工种植的.程刚此时的感觉 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M65Eq54.html" rel="bookmark" class="title">Caesar</a>
					<div>
						要求实现用户输入一个数改变26个字母的排列顺序 例如输入3: DEFGHIJKLMNOPQRSTUVWXYZABC 输入-3: XYZABCDEFGHIJKLMNOPQRSTUVW 使用循环链表 代码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPwVE14.html" rel="bookmark" class="title">leetcode 【 Sort Colors  】python 实现</a>
					<div>
						题目: Given an array with n objects colored red, white or blue, sort them so that objects of the same  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qELAz3.html" rel="bookmark" class="title">redis的优点和缺点</a>
					<div>
						最近在项目有用到redis,所以在看redis的源码,接下来打算把redis的整体情况都介绍下,会逐渐写redis源码的相关功能,不过,做什么东西之前,都应该考虑它的优点和缺点,所以,先写redis的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OZGeZ0.html" rel="bookmark" class="title">WinCE Stack 异常</a>
					<div>
						在使用 VS2008 开发 WinCE7.0 的程序,测试发送 WM_COPYDATA 消息时,发现在 Debug 模式下接收方可以正确的接收到消息,消息中的数据也是正确的.换成 Release 模式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lkgNLM.html" rel="bookmark" class="title">Python基础&colon;1&period;数据类型（元组）</a>
					<div>
						提示:python版本为2.7,windows系统 1.元组(Tuple) Tuple,与List类似,但是Tuple一旦初始化之后就不能修改了,没有增加.删除.修改元素. 1 &gt;&gt;&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k9Adj4.html" rel="bookmark" class="title">django静态html中做动态变化</a>
					<div>
						在搭建网站中经常有筛选分类的需求 在django中为了简便,我们经常将某些相同部分的内容取出来单独存放形成一个base模板,其他的template继承这个base就可以使用其中的内容 但是这些相同的部 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eERbg0.html" rel="bookmark" class="title">中国mooc北京理工大学机器学习第一周（三）</a>
					<div>
						三.基于聚类的整图分割 需要利用PIL进行图片处理,在anaconda安装的时候提示PIL只能用在py26,搜索知,可以conda install pillow 即可. def loadData(fi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Y11Yr0.html" rel="bookmark" class="title">单身君在相亲派对上怎么跟陌生妹子搭讪&quest;</a>
					<div>
						单身君,在某天突然决定要出门聊骚,去相亲派对上邂逅漂亮妹子,但多年的单身生活让你不了解妹子的心理特征,不懂女人让你在相亲派对上表现羞涩,因此你不敢和陌生妹子说话,其实,女人的心思很简单,把握得当你就能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0b5zokM.html" rel="bookmark" class="title">Zookeeper、HBase的伪分布</a>
					<div>
						1.Zookeeper伪分布的部署(3个节点) 所谓的“伪分布式集群”就是在一台服务器中,启动多个Zookeeper实例.“完全分布式集群”是每台服务器,启动一个Zookeeper实例. 1.1.解压 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jr8Ao0.html" rel="bookmark" class="title">经济学理论</a>
					<div>
						在经济学里,有个经典的论断,交易(贸易)可以使双方都获益. 这个在一方擅长A,另一方擅长B时很好理解.比如说农民擅长种土豆,牧民擅长养牛, 发挥自己的长处后,双方都可以吃上牛肉和土豆. 真正神奇的部分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Myoyej3.html" rel="bookmark" class="title">UI&mdash;视图的生命周期</a>
					<div>
											</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pgAqg3.html" rel="bookmark" class="title">xamarin android&mdash;&mdash;数据绑定到控件（二）</a>
					<div>
						本示例为通过媒体内容提供器获取本机中的图片显示在Gallery中. 活动中简单的初始化代码 private void InitGallery() { Gallery gallery = FindVie ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RQy27M.html" rel="bookmark" class="title">驱动通信基本框架的实例</a>
					<div>
						1.Ring0驱动层代码的编写: //codemsg.h 通信控制码的定义 #ifndef _DEFINE_H_ #define _DEFINE_H_ // _number: 0 -&gt; 2047 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rDjevM.html" rel="bookmark" class="title">真机运行不了处理方案</a>
					<div>
						Your build settings specify a provisioning profile with (2016-03-23 19:03:12) 转载▼   分类: 工程问题解决方法 问题描 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
